ch.qos.logback.classic.filter

## Class LevelFilter

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.filter.Filter<E>
    - - ch.qos.logback.core.filter.AbstractMatcherFilter<ILoggingEvent>
      - - ch.qos.logback.classic.filter.LevelFilter

All Implemented Interfaces:
  ContextAware, LifeCycle

    public class LevelFilter
    extends AbstractMatcherFilter<ILoggingEvent>

A class that filters events by the level equality.

For more information about this filter, please refer to the online manual at http://logback.qos.ch/manual/filters.html#levelFilter

Author:
  Ceki Gülcü, Sébastien Pennec

### Field Summary

### Fields inherited from class ch.qos.logback.core.filter.AbstractMatcherFilter

`onMatch, onMismatch`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`LevelFilter()`

### Method Summary

Methods
`FilterReply` `decide(ILoggingEvent event)` If the decision is ``FilterReply.DENY``, then the event will be dropped.
`void` `setLevel(Level level)`
`void` `start()`

### Methods inherited from class ch.qos.logback.core.filter.AbstractMatcherFilter

`getOnMatch, getOnMismatch, setOnMatch, setOnMismatch`

### Methods inherited from class ch.qos.logback.core.filter.Filter

`getName, isStarted, setName, stop`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LevelFilter

    public LevelFilter()

### Method Detail

#### decide

    public FilterReply decide(ILoggingEvent event)

Description copied from class: `Filter`
If the decision is ``FilterReply.DENY``, then the event will be dropped. If the decision is ``FilterReply.NEUTRAL``, then the next filter, if any, will be invoked. If the decision is ``FilterReply.ACCEPT`` then the event will be logged without consulting with other filters in the chain.

Specified by:
  `decide` in class `Filter<ILoggingEvent>`
Parameters:
  `event` - The event to decide upon.

#### setLevel

    public void setLevel(Level level)

#### start

    public void start()

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `Filter<ILoggingEvent>`